Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		evolution-data-server
Version:	2.28.1
Release:	2
License: 	GPL
Group: 		Networking/Mail
Summary: 	GNOMEs next-generation groupware suite
URL: 		http://www.gnome.org/projects/evolution/
BuildArch:	i686
Source: http://ftp.gnome.org/pub/gnome/sources/evolution-data-server/2.28/%{name}-%{version}.tar.bz2

%define use_nss 1
%define ldap_support 1
%define static_ldap 1
%define krb5_support 1
%define nntp_support 1

%define glib2_version 2.20.0
%define gtk2_version 2.16.0
%define gtk_doc_version 1.11
%define intltool_version 0.40.5
%define libbonobo_version 2.24.1
%define orbit2_version 2.14.17
%define soup_version 2.26.0
%define sqlite_version 3.6.11

%define eds_base_version 2.28
%define eds_api_version 1.2

%define use_gnome_keyring 1
%define support_imap4_provider 0

%define camel_provider_dir %{_libdir}/evolution-data-server-%{eds_api_version}/camel-providers
%define eds_extensions_dir %{_libdir}/evolution-data-server-%{eds_api_version}/extensions

# Use stricter build settings than required by upstream.
%define strict_build_settings 1

%if %{use_nss}
BuildRequires: nspr-devel
BuildRequires: nss-devel
%else
BuildRequires: openssl-devel
%endif

%if %{ldap_support}
%if %{static_ldap}
BuildRequires: openldap-devel
BuildRequires: openssl-devel
%else
BuildRequires: openldap-devel
%endif
%endif

%if %{krb5_support} 
BuildRequires: krb5-devel 
# tweak for krb5 1.2 vs 1.3
%define krb5dir /usr/kerberos
#define krb5dir `pwd`/krb5-fakeprefix
%endif

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: db-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: e2fsprogs-devel
BuildRequires: esound-libs-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gnutls-devel
BuildRequires: gtk2+-devel
BuildRequires: krb5-devel
BuildRequires: libbonobo-devel
BuildRequires: libgcrypt-devel
BuildRequires: libglade-devel
BuildRequires: libgnome-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgweather-devel
BuildRequires: libical-devel
BuildRequires: libsoup-devel
BuildRequires: libtasn1-devel
BuildRequires: libxml2-devel
BuildRequires: nspr-devel
BuildRequires: nss-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: popt-devel
BuildRequires: sqlite-devel
BuildRequires: zlib-devel
BuildRequires: libproxy-devel

%description
The %{name} package provides a unified backend for programs that work
with contacts, tasks, and calendar information.
It was originally developed for Evolution (hence the name), but is now used
by other packages.

%package	devel
Summary:	Development files for building against %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libbonobo-devel
Requires:	libgnome-devel
Requires:	libsoup-devel
Requires:	sqlite-devel
Obsoletes:	%{name}-doc

%description	devel
Development files needed for building things which link against %{name}.

%prep
%setup -q
mkdir -p krb5-fakeprefix/include
mkdir -p krb5-fakeprefix/lib
mkdir -p krb5-fakeprefix/%{_lib}

%build
%if %{ldap_support}

%if %{static_ldap}
%define ldap_flags --with-openldap=%{_libdir}/evolution-openldap --with-static-ldap
# Set LIBS so that configure will be able to link with static LDAP libraries,
# which depend on Cyrus SASL and OpenSSL.  XXX Is the "else" clause necessary?
if pkg-config openssl ; then
	export LIBS="-lsasl2 `pkg-config --libs openssl`"
else
	export LIBS="-lsasl2 -lssl -lcrypto"
fi
%else
%define ldap_flags --with-openldap=yes
%endif

%else
%define ldap_flags --without-openldap
%endif

%if %{krb5_support}
%define krb5_flags --with-krb5=%{krb5dir}
%else
%define krb5_flags --without-krb5
%endif

%if %{nntp_support}
%define nntp_flags --enable-nntp=yes
%else
%define nntp_flags --enable-nntp=no
%endif

%if %{use_nss}
%define ssl_flags --enable-nss=yes --enable-smime=yes
%else
%define ssl_flags --enable-openssl=yes
%endif

%if %{use_nss}
if ! pkg-config --exists nss; then 
  echo "Unable to find suitable version of nss to use!"
  exit 1
fi
%endif

%if %{use_gnome_keyring}
%define keyring_flags --enable-gnome-keyring
%else
%define keyring flags --disable-gnome-keyring
%endif

%if %{support_imap4_provider}
%define imap4_flags --enable-imap4=yes
%else
%define imap4_flags --enable-imap4=no
%endif

export CPPFLAGS="-I%{_includedir}/et"
export CFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED -fPIC -I%{_includedir}/et"
%if ! %{use_nss}
if pkg-config openssl ; then
	CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
	LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
%endif

# Add stricter build settings here as the source code gets cleaned up.
# We want to make sure things like compiler warnings and avoiding deprecated
# functions in the GNOME/GTK+ libraries stay fixed.
#
# Please file a bug report at bugzilla.gnome.org if these settings break
# compilation, and encourage the upstream developers to use them.

%if %{strict_build_settings}
CFLAGS="$CFLAGS \
	-DG_DISABLE_DEPRECATED=1 \
        -DPANGO_DISABLE_DEPRECATED=1 \
	-DGDK_PIXBUF_DISABLE_DEPRECATED=1 \
	-DGDK_DISABLE_DEPRECATED=1 \
	-Wdeclaration-after-statement \
	-Werror-implicit-function-declaration"
%endif

# Regenerate configure to pick up configure.in and acinclude.m4 changes.
#aclocal
#autoheader
#automake
#libtoolize
#intltoolize --force
#autoconf

# See Ross Burton's blog entry for why we want --with-libdb.
# http://www.burtonini.com/blog//computers/eds-libdb-2006-07-18-10-40

%configure \
	--with-libdb=/usr \
	--enable-file-locking=fcntl \
	--enable-dot-locking=no \
	--disable-gtk-doc \
	--libexecdir=%{_libdir}/evolution-data-server-%{eds_api_version} \
	%ldap_flags %krb5_flags %nntp_flags %ssl_flags %imap4_flags \
	%keyring_flags
export tagname=CC
make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool install

# remove libtool archives for importers and the like
find $RPM_BUILD_ROOT/%{_libdir} -name '*.la' -exec rm {} \;
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/evolution-data-server-%{eds_api_version}/camel-providers/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/evolution-data-server-%{eds_api_version}/extensions/*.a

# give the libraries some executable bits 
find $RPM_BUILD_ROOT -name '*.so.*' -exec chmod +x {} \;

%find_lang %{name}-%{eds_base_version}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}-%{eds_base_version}.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_libdir}/bonobo/servers/GNOME_Evolution_DataServer_%{eds_api_version}.server
%{_libdir}/libcamel-%{eds_api_version}.so.*
%{_libdir}/libcamel-provider-%{eds_api_version}.so.*
%{_libdir}/libebackend-%{eds_api_version}.so.*
%{_libdir}/libebook-%{eds_api_version}.so.*
%{_libdir}/libecal-%{eds_api_version}.so.*
%{_libdir}/libedata-book-%{eds_api_version}.so.*
%{_libdir}/libedata-cal-%{eds_api_version}.so.*
%{_libdir}/libedataserver-%{eds_api_version}.so.*
%{_libdir}/libedataserverui-%{eds_api_version}.so.*
%{_libdir}/libegroupwise-%{eds_api_version}.so.*
%{_libdir}/libexchange-storage-%{eds_api_version}.so.*
%{_libdir}/libgdata-%{eds_api_version}.so.*
%{_libdir}/libgdata-google-%{eds_api_version}.so.*

%{_libdir}/evolution-data-server-%{eds_api_version}
%{_datadir}/evolution-data-server-%{eds_base_version}
%{_datadir}/idl/evolution-data-server-%{eds_api_version}
%{_datadir}/pixmaps/evolution-data-server
%dir %{_libdir}/evolution-data-server-%{eds_api_version}
%dir %{camel_provider_dir}
%dir %{eds_extensions_dir}

# Camel providers:
%{camel_provider_dir}/libcamelgroupwise.so
%{camel_provider_dir}/libcamelgroupwise.urls

%{camel_provider_dir}/libcamelimap.so
%{camel_provider_dir}/libcamelimap.urls

%if %{support_imap4_provider}
%{camel_provider_dir}/libcamelimap4.so
%{camel_provider_dir}/libcamelimap4.urls
%endif

%{camel_provider_dir}/libcamellocal.so
%{camel_provider_dir}/libcamellocal.urls

%{camel_provider_dir}/libcamelnntp.so
%{camel_provider_dir}/libcamelnntp.urls

%{camel_provider_dir}/libcamelpop3.so
%{camel_provider_dir}/libcamelpop3.urls

%{camel_provider_dir}/libcamelsendmail.so
%{camel_provider_dir}/libcamelsendmail.urls

%{camel_provider_dir}/libcamelsmtp.so
%{camel_provider_dir}/libcamelsmtp.urls

# e-d-s extensions:
%{eds_extensions_dir}/libebookbackendfile.so
%{eds_extensions_dir}/libebookbackendgoogle.so
%{eds_extensions_dir}/libebookbackendgroupwise.so
%{eds_extensions_dir}/libebookbackendldap.so
%{eds_extensions_dir}/libebookbackendvcf.so
%{eds_extensions_dir}/libebookbackendwebdav.so
%{eds_extensions_dir}/libecalbackendcaldav.so
%{eds_extensions_dir}/libecalbackendcontacts.so
%{eds_extensions_dir}/libecalbackendfile.so
%{eds_extensions_dir}/libecalbackendgoogle.so
%{eds_extensions_dir}/libecalbackendgroupwise.so
%{eds_extensions_dir}/libecalbackendhttp.so
%{eds_extensions_dir}/libecalbackendweather.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/evolution-data-server-%{eds_base_version}
%{_libdir}/libcamel-%{eds_api_version}.so
%{_libdir}/libcamel-provider-%{eds_api_version}.so
%{_libdir}/libebackend-%{eds_api_version}.so
%{_libdir}/libebook-%{eds_api_version}.so
%{_libdir}/libecal-%{eds_api_version}.so
%{_libdir}/libedata-book-%{eds_api_version}.so
%{_libdir}/libedata-cal-%{eds_api_version}.so
%{_libdir}/libedataserver-%{eds_api_version}.so
%{_libdir}/libedataserverui-%{eds_api_version}.so
%{_libdir}/libegroupwise-%{eds_api_version}.so
%{_libdir}/libexchange-storage-%{eds_api_version}.so
%{_libdir}/libgdata-%{eds_api_version}.so
%{_libdir}/libgdata-google-%{eds_api_version}.so
%{_libdir}/pkgconfig/camel-%{eds_api_version}.pc
%{_libdir}/pkgconfig/camel-provider-%{eds_api_version}.pc
%{_libdir}/pkgconfig/evolution-data-server-%{eds_api_version}.pc
%{_libdir}/pkgconfig/libebackend-%{eds_api_version}.pc
%{_libdir}/pkgconfig/libebook-%{eds_api_version}.pc
%{_libdir}/pkgconfig/libecal-%{eds_api_version}.pc
%{_libdir}/pkgconfig/libedata-book-%{eds_api_version}.pc
%{_libdir}/pkgconfig/libedata-cal-%{eds_api_version}.pc
%{_libdir}/pkgconfig/libedataserver-%{eds_api_version}.pc
%{_libdir}/pkgconfig/libedataserverui-%{eds_api_version}.pc
%{_libdir}/pkgconfig/libegroupwise-%{eds_api_version}.pc
%{_libdir}/pkgconfig/libexchange-storage-%{eds_api_version}.pc
%{_libdir}/pkgconfig/libgdata-%{eds_api_version}.pc
%{_libdir}/pkgconfig/libgdata-google-%{eds_api_version}.pc
%{_datadir}/gtk-doc/html/camel
%{_datadir}/gtk-doc/html/libebackend
%{_datadir}/gtk-doc/html/libebook
%{_datadir}/gtk-doc/html/libecal
%{_datadir}/gtk-doc/html/libedata-book
%{_datadir}/gtk-doc/html/libedata-cal
%{_datadir}/gtk-doc/html/libedataserver
%{_datadir}/gtk-doc/html/libedataserverui

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Thu Apr 16 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1.1-1
- Version update
* Tue Apr 14 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.0-2
- remerged old changelog
- moved libexecdir again
- merge doc package into devel again
- remove unnecessary patch
* Sun Mar 29 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Wed Apr 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Mon Jan 07 2008 Christian Metzen <metzench@ccux-linux.de> 1.12.3-1
- Version update
* Mon Nov 26 2007 Christian Metzen <metzench@ccux-linux.de> 1.12.2-1
- Version update
* Mon Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 1.12.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 1.12.0-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 1.10.0-1
- Version update
* Fri Dec 08 2006 Christian Metzen <metzench@ccux-linux.de> 1.9.3-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 1.9.2-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 1.9.1-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1.9.1-2
- rebuild, moved libexec
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 1.9.1-1
- Version update, moved prefix
* Wed May 31 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.91-2
- rebuild against newer libtasn
* Wed Feb 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.91-1
- Initial Release

